define bi_plenv::rehash (
    $user = undef,
    $refreshonly = true,
    $cwd = undef,
) {
    
    if $user == undef or !is_string($user) { 
        fail("'user' must be defined") 
    }
    
    require ::bi_plenv
    
    $command = "plenv rehash"
    debug("command: $command")
    
    bi_bash::exec { "$title - $command":
        command => $command,
        user => $user,
        cwd => $cwd,
        refreshonly => $refreshonly,
    }
}
